import { connect } from "react-redux";
import Image from "../atoms/Image";
import Logout from "../session/Logout";
import User from "./User";

const Header = ({ isLoggedIn, user, logout }) => {
  return (
    <div className="header">
      <div>
        <Image className="nisum-logo" src="./nisum.jpeg" />
      </div>
      {/* <div>Ascend</div> */}
      <div className="header-module">
        <div>Warehouse Management</div>
      </div>
      <div>{isLoggedIn ? <User user={user.user} /> : null}</div>
    </div>
  );
};

const mapStateToProps = (state) => ({
  isLoggedIn: state.session.isAuthenticated,
  user: state.session.user,
});

const mapDispatchToProps = (dispatch) => ({});

export default connect(mapStateToProps, mapDispatchToProps)(Header);
